<?

include("../Librerias/ConfNivel2.inc");

include("../Librerias/Password.phtml");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();                ///Clase Sesión

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

/*Obtenemos los valor por post*/

$tags2 = array_keys($_POST); // obtiene los nombres de las variables

$valores2 = array_values($_POST);// obtiene los valores de las variables

$i=0;

foreach ($_POST as $valores){

 ${$tags2[$i]}=$valores;

 $i++;	

}



///Datos de la acción

$Fecha=date("Y-m-d");

$Hora=date("H:i:s");

$Ip=$_SERVER["HTTP_X_FORWARDED_FOR"];

if ($Ip=='')  $Ip=$_SERVER["REMOTE_ADDR"];

$VectorImagen = explode ('\\\\',$_FILES["Archivo"]["tmp_name"]);

for($i=0; $VectorImagen[$i]; $i++)

$ArchivoSubir=$VectorImagen[$i];

if ($ArchivoSubir){

$nom = $_FILES['Archivo']["name"];

//$extension = $exte[1];

}



echo  "-->".$extension;			

if ($Accion=='Guardar')

{

  	 //Insertamos la imagen también

	 $NomArch='archivos/'.$nom;

	 echo $NomArch;

	 if ($ArchivoSubir){

		if (!copy ($ArchivoSubir,$NomArch)){

			FMensajeScript("Ocurrió un error al intentar subir el archivo. Vuelva a Intentarlo".'\r'."Si el problema persiste, comuníquelo al Administrador del Sistema","SubirArchivos.php");		  

			exit();           

		}else{

			chmod($NomArch, 0644);

			$archi = $nom;

			$ConsultaF="Insert into archivos( IdCanto, Autor, Tipo, Formato, Comentario, archivo) values ($IdCanto, '$Autor', $Tipo, $Formato, '$Comentario', '$nom')";			

            $Conexion->MEjecutarSQL($ConsultaF);	

			echo $ConsultaF;

			$RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM archivos ORDER BY IdArchivo DESC LIMIT 1");

			FMensajeScript("Archivo Insertado Correctamente","SubirArchivos.php?IdArchivo=".$RowInsertado["IdArchivo"]."&IdCanto=$IdCanto");

            exit();		

		}

		   

	}	  

	

  if ($Accion=='Actualizar')

  {

	//Insertamos la imagen también

	 $NomArch='archivos/'.$nom;

	 if ($ArchivoSubir){

		if (!copy ($ArchivoSubir,$NomArch)){

			FMensajeScript("Ocurrió un error al intentar subir el archivo. Vuelva a Intentarlo".'\r'."Si el problema persiste, comuníquelo al Administrador del Sistema","Usuarios.php?IdUsuario=".$_SESSION["IdUsuario"]);		  

			exit();           

		}else{

			$archi = $nom;

			/*$ConsultaF="UPDATE usuarios SET Foto='$archi' WHERE IdUsuario=".$_SESSION["IdUsuario"];*/

			$ConsultaF="Insert into archivos( IdCanto, Autor, Tipo, Formato, Comentario, archivo) values ($IdCanto, '$Autor', $Tipo, $Formato, '$Comentario', '$nom')";

            $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM archivos ORDER BY IdArchivo DESC LIMIT 1");

			FMensajeScript("Archivo Insertado Correctamente","SubirArchivos.php?IdArchivo=".$RowInsertado["IdArchivo"]."&IdCanto=$IdCanto");

            exit();		

		}

	 }

 }

 

 

 if ($Accion=='Eliminar'){

    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM archivo WHERE IdArchivo='$IdArchivo'");

    $Consulta="DELETE FROM archivo WHERE IdArchivo='$IdArchivo'";

    $Conexion->MEjecutarSQL($Consulta);



    ///Consulta para Obtener Id de los datos almacenados

	$DescripcionAccion="ELIMINÓ A : $RowInsertado[Titulo]";   

     FMensajeScript($DescripcionAccion,"SubirArchivos.php?IdCanto=$IdCanto");

     exit();

}

 

	

}





?>